package com.mybank;

public class AccountService {

	public static final int LOTS_OF_MONEY = 10000;

	private final PostWithdrawalCheck[] checks;

	public AccountService(PostWithdrawalCheck... checks) {
		this.checks = checks;
	}

	public void withdrawMoney(Account account, int amount) {
		account.withdrawMoney(amount);
		for(PostWithdrawalCheck check : checks) {
			check.check(account, amount);
		}
	}

	public interface PostWithdrawalCheck {
		void check(Account account, int amount);
	}

}
