/**
 * 
 */
package com.mybank.accountchecks;

import com.mybank.Account;
import com.mybank.AccountService;
import com.mybank.AuditGateway;
import com.mybank.AccountService.PostWithdrawalCheck;

public class AuditorPostWithdrawalChecks implements PostWithdrawalCheck {

	private final AuditGateway auditGateway;
	
	public AuditorPostWithdrawalChecks(AuditGateway auditGateway) {
		this.auditGateway = auditGateway;
	}

	public void check(Account account, int amount) {
		if (account.isOverdrawn()) {
			auditGateway.notifyAccountOverdrawn(account);
		}
		if (amount > AccountService.LOTS_OF_MONEY) {
			auditGateway.notifyLotsOfMoneyWithdrawn(account);
		}
	}

}