/**
 * 
 */
package com.mybank.accountchecks;

import com.mybank.Account;
import com.mybank.MailGateway;
import com.mybank.MailMessage;
import com.mybank.MailMessageFactory;
import com.mybank.AccountService.PostWithdrawalCheck;

public class MailPostWithdrawalChecks implements PostWithdrawalCheck {

	private final MailGateway mailGateway;
	private final MailMessageFactory mailMessageFactory;

	public MailPostWithdrawalChecks(MailGateway mailGateway,
			MailMessageFactory mailMessageFactory) {
		this.mailGateway = mailGateway;
		this.mailMessageFactory = mailMessageFactory;
	}

	public void check(Account account, int amount) {
		if (account.isOverdrawn()) {
			MailMessage message = mailMessageFactory
					.createOverdrawnMessage(account);
			mailGateway.sendMail(message);
		}
	}

}