package com.mybank;

import static org.hamcrest.MatcherAssert.*;
import static org.hamcrest.Matchers.*;

import org.junit.Test;

import com.mybank.builders.AccountMother;


public class MailMessageFactoryTest {

	@Test
	public void shouldCreateOverdrawnMessageForAccount() throws Exception {
		Account account = new AccountMother().joesAccount();
		MailMessageFactory factory = new MailMessageFactory();

		MailMessage message = factory.createOverdrawnMessage(account);
		
		assertThat(message.getRecipient(), is("joe@bloggs.com"));
		assertThat(message.getSubject(), is("Your account is overdrawn"));
	}
}
