package com.mybank.accountchecks;

import static org.mockito.Matchers.*;
import static org.mockito.Mockito.*;

import org.junit.Test;

import com.mybank.Account;
import com.mybank.AuditGateway;
import com.mybank.builders.AccountMother;


public class AuditorPostWithdrawalChecksTest {
	
	@Test
	public void shouldNotifyAuditorWhenLotsOfMoneyIsWithdrawn() throws Exception {
		AuditGateway auditGateway = mock(AuditGateway.class);
		Account account = new AccountMother().joesAccount();
		AuditorPostWithdrawalChecks checks =
			new AuditorPostWithdrawalChecks(auditGateway);

		checks.check(account, 10001);
		
		verify(auditGateway).notifyLotsOfMoneyWithdrawn(same(account));
	}
	
	@Test
	public void shouldNotifyAuditorWhenAccountIsOverdrawn() throws Exception {
		AuditGateway auditGateway = mock(AuditGateway.class);
		
		Account account = new AccountMother().joesAccount();
		
		AuditorPostWithdrawalChecks checks =
			new AuditorPostWithdrawalChecks(auditGateway);

		checks.check(account, account.viewBalance() + 1);
		
		verify(auditGateway).notifyAccountOverdrawn(same(account));
	}
	

}
