package com.mybank.accountchecks;

import static org.mockito.Matchers.*;
import static org.mockito.Mockito.*;

import org.junit.Test;

import com.mybank.Account;
import com.mybank.MailGateway;
import com.mybank.MailMessage;
import com.mybank.MailMessageFactory;
import com.mybank.builders.AccountMother;


public class MailPostWithdrawalChecksTest {

	@Test
	public void shouldSendEmailWhenAccountIsOverdrawn() throws Exception {
		Account account = new AccountMother().joesAccount();
		MailMessage message = new MailMessage(null, null);
		MailMessageFactory mailMessageFactory = mock(MailMessageFactory.class);
		stub(mailMessageFactory.createOverdrawnMessage(account)).toReturn(message);
		MailGateway mailGateway = mock(MailGateway.class);
		MailPostWithdrawalChecks checks =
			new MailPostWithdrawalChecks(mailGateway, mailMessageFactory);
		
		checks.check(account, 0);

		verify(mailGateway).sendMail(same(message));	
	}

}
