package com.mybank.builders;

import com.mybank.Account;

public class AccountBuilder {
	String emailAddress = "joe@bloggs.com";
	int balance = 100;
	
	public Account build() {
		Account account = new Account();
		account.depositMoney(balance);
		account.setEmailAddress(emailAddress);
		return account;
	}
	
	public AccountBuilder withBalance(int balance) {
		this.balance = balance;
		return this;
	}
	
	public AccountBuilder withEmailAddress(String address) {
		this.emailAddress = address;
		return this;
	}
}
